# cycler with different colors
colorcycler = Utils.cycle "#28AFFA","#F8B000","#877DD7","#7DDD11"


layerA = new Layer
	size: 250
	borderRadius: 9
	backgroundColor: colorcycler()
	point: Align.center
	shadowColor: "rgba(153,153,153,1)"
	shadowY: 16
	shadowBlur: 32


layerA.onTapStart ->
	this.scale = 0.94
	this.shadowColor = null

layerA.onTap ->
	this.backgroundColor = colorcycler()

layerA.onTapEnd ->
	this.scale = 1
	this.shadowColor = "rgba(153,153,153,1)"
